Bug 81950

Summary: ruby-mysql Makefile broken for mysql dependency
Product: Ports & Packages Reporter: Phil Pennock <pdp>
Component: Individual Port(s)Assignee: Pav Lucistnik <pav>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Phil Pennock 2005-06-06 12:50:01 UTC
The Port databases/ruby-mysql has a Makefile which attempts to depend
upon the correct version of mysqlclient, depending upon which version
exists in the file-system.  It doesn't work, because it uses
${LOCALBASE} but only has a .include for bsd.port.mk at the end, so
${LOCALBASE} isn't defined at the point in parsing where it's required.

Fix: Patch against: ports/databases/ruby-mysql/Makefile,v 1.22

This patch moves to using bsd.port.pre.mk and bsd.port.post.mk; it
collapses a nested .else/.if into an .elif; it moves the USE_RUBY*
variables up, so that they're defined before bsd.port.pre.mk inclusion
so that the correct build methods are defined.
How-To-Repeat: install mysql41-client
attempt to install ruby-mysql
watch as system attempts to install mysql-4.0.x.
Comment 1 Pav Lucistnik freebsd_committer 2005-06-06 22:33:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Even better would be to replace whole mess with 

USE_MYSQL=yes 

I'll handle this with update in ports/81399
Comment 2 Pav Lucistnik freebsd_committer 2005-06-06 22:36:38 UTC
State Changed
From-To: open->closed

Fixed!